#include "penguin_heuristic.hpp"

using namespace std;

namespace mcts
{
  float penguin_heuristic::get_value(const game::penguin& game, uint8_t move) const
  {

    return 0.f;
  }

  int penguin_heuristic::get_count(const game::penguin& game, uint8_t move) const
  {
    return 1;
  }

  float go_left_up_heuristic::get_value(const game::penguin& game, uint8_t move) const
  {
    std::shared_ptr<game::penguin> played = game::copy(game);
    played->play(move);

    return 0.f;
  }

  int go_left_up_heuristic::get_count(const game::penguin& game, uint8_t move) const
  {
    return 1;
  }
}
