#ifndef __PENGUIN_HEURISTIC_HPP__
#define __PENGUIN_HEURISTIC_HPP__

#include "penguin.hpp"
#include "heuristic.hpp"

namespace mcts
{
  class penguin_heuristic : public heuristic<game::penguin>
  {
  public:
    virtual float get_value(const game::penguin& game, uint8_t move) const;
    virtual int get_count(const game::penguin& game, uint8_t move) const;
  };
  class go_left_up_heuristic : public penguin_heuristic
  {
  public:
    float get_value(const game::penguin& game, uint8_t move) const;
    int get_count(const game::penguin& game, uint8_t move) const;
  };
};

#endif
